Agora Java API Reference for Android

Public Member Functions | Public Attributes | List of all members
io.agora.rtc2.IRtcEngineEventHandler.VideoLayout Class Reference

Layout information of a specific sub-video stream within the mixed stream. More...

## Public Member Functions
String | toString ()

## Public Attributes
String | channelId
int | uid
String | strUid
int | videoState
int | x
int | y
int | width
int | height

## Detailed Description

Layout information of a specific sub-video stream within the mixed stream.

## Member Data Documentation

## ◆ channelId

String io.agora.rtc2.IRtcEngineEventHandler.VideoLayout.channelId

The channel name to which the sub-video stream belongs.

## ◆ uid

int io.agora.rtc2.IRtcEngineEventHandler.VideoLayout.uid

User ID who published this sub-video stream.

## ◆ strUid

String io.agora.rtc2.IRtcEngineEventHandler.VideoLayout.strUid

Reserved for future use.

## ◆ videoState

int io.agora.rtc2.IRtcEngineEventHandler.VideoLayout.videoState

Status of the sub-video stream on the video mixing canvas.

- 0: Normal. The sub-video stream has been rendered onto the mixing canvas.
- 1: Placeholder image. The sub-video stream has no video frames and is displayed as a placeholder on the mixing canvas.
- 2: Black image. The sub-video stream is replaced by a black image.

## ◆ x

int io.agora.rtc2.IRtcEngineEventHandler.VideoLayout.x

X-coordinate (px) of the sub-video stream on the mixing canvas. The relative lateral displacement of the top left corner of the video for video mixing to the origin (the top left corner of the canvas).

## ◆ y

int io.agora.rtc2.IRtcEngineEventHandler.VideoLayout.y

Y-coordinate (px) of the sub-video stream on the mixing canvas. The relative longitudinal displacement of the top left corner of the captured video to the origin (the top left corner of the canvas).

## ◆ width

int io.agora.rtc2.IRtcEngineEventHandler.VideoLayout.width

Width (px) of the sub-video stream.

## ◆ height

int io.agora.rtc2.IRtcEngineEventHandler.VideoLayout.height

Heitht (px) of the sub-video stream.